Bug 7838 - Can't get non-root user ability to use kppp
Can't get non-root user ability to use kppp
Product: Red Hat Linux
Classification: Retired
Component: kdeutils (Show other bugs)
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Bernhard Rosenkraenzer
Depends On:
  Show dependency treegraph
Reported: 1999-12-16 07:41 EST by Steve Cohen
Modified: 2008-05-01 11:37 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 1999-12-17 10:10:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Steve Cohen 1999-12-16 07:41:54 EST
I'm trying to set up a personal system to use kde and kppp.  kppp is
easily set up for root but for ordinary users?  RedHat seems to have gone
out of its way to make this impossible!  I previously used Mandrake 6.0 and
kppp was the only modem solution I could get to work reliably for me.  Now
I've "upgraded" back to Redhat 6.1 (I decided Mandrake was a little too
unreliable) and what a mess!  (Note - this is a brand new out of the box

For root, typing kppp in the default setup maps to /usr/sbin/kppp and all
works well.  However, for non-root users, the system finds /usr/bin/kppp
which is a symbolic link to something called /usr/bin/consolehelper which
demands to know the root password.  No thanks, I don't want to have to type
in the root password just to start kppp.

There is all sorts of documentation provided by the KDE folks for
getting kppp to work - unfortunately, none of it applies to the
configuration Redhat has provided us with.  I tried all the suggestions
in the KDE help.

So I decided that the easiest thing to do would be to make a new
/usr/bin/kppp that is a symbolic link directly to /usr/sbin/kppp.  This
works, sort of, but when I try to invoke it, it tells me that it can't find
the interface ppp0. I'm stymied here.  I have got the system set up to
allow non-root users to access my ppp0 interface.  And in Gnome/RP3
as a non-root user I have no trouble finding ppp0.
Comment 1 Bernhard Rosenkraenzer 1999-12-17 09:31:59 EST
It's not a bug, it's a security feature. In countries where you pay for
connections, you don't want non-privileged users to open connections.
If you want to permit non-privileged users to connect using kppp, either make
kppp setuid root, or use sudo to grant them root access to just kppp.
Comment 2 Steve Cohen 1999-12-17 09:58:59 EST
This answer answers nothing, unfortunately.  Did you even read my report?

Which "kppp" are you talking about?  The one in /usr/sbin which is not on the
path of non-root users, or the one is on their path, the one in /usr/bin?
Was my solution of removing the symlink in /usr/bin which pointed to
consolehelper and replacing it with one that pointed to /usr/sbin/kppp (which I
DID setuid root) the correct one?  Or is there better?

And if it was correct, why am I getting all those messages about not being able
to find the interface ppp0?  I did set up the interface to be accessible to all
users which is proven anyway by the fact that RP3 is able to find it without

My point, really, is that there were simple instructions in the kppp
documentation that tell you how to set things up so that non-root users can
access kppp.  Since Redhat has seen fit to set things up differently than the
setup envisioned by the authors of that documentation, and that documentation is
no longer correct, Redhat owes its users clear replacement documentation.
Comment 3 Bernhard Rosenkraenzer 1999-12-17 10:03:59 EST
Sorry, I automatically sent a standard reply after reading the first paragraph,
because the security features often get reported as bugs.

Yes, it was right to rm /usr/bin/kppp and ln -s /usr/sbin/kppp /usr/bin.

The can't find ppp0 bug looks like a problem with pppd... Did you update the ppp
package? There have been a couple of problems with the stock 6.1 one.
Comment 4 Steve Cohen 1999-12-17 10:10:59 EST
No,I'm using the stock ppp.  I'll try that.  Thanks.
You might want to pass on my comments on documentation to you documentation
Comment 5 Bernhard Rosenkraenzer 2000-08-08 09:22:12 EDT
Since you didn't enter anything more, I assume updating pppd fixed this.

Note You need to log in before you can comment on or make changes to this bug.